Page MenuHomePhabricator

Naming collision between "toolforge" Python packages
Closed, ResolvedPublic

Description

Originally reported at https://github.com/legoktm/toolforge/issues/12

With the recent internal rename of the webservice package to use toolforge, there's now a naming collision between that and the toolforge helper library I maintain.

Luckily there is not any practical impact yet because the webservice one is Python 2 only while the helper library is Python 3 only. However it's definitely confusing that import toolforge can do 2 different things.

I'd suggest renaming the webservice package to something else, mostly because that can be done all in one repository versus updating a bunch of tools.

Event Timeline

Legoktm created this task.Apr 1 2020, 4:00 AM
Restricted Application edited projects, added cloud-services-team (Kanban); removed cloud-services-team. · View Herald TranscriptApr 1 2020, 4:00 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
bd808 added a subscriber: bd808.Apr 1 2020, 1:57 PM

Easy enough to fix, but I have a question about how these two packages would come into conflict for a typical tool. The package delivered as part of webservice is installed globally. The helper library is not. I guess this means that to have a conflict one would need to create a venv that is linked to the system packages and then install the helper library?

Change 585963 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/software/tools-webservice@master] Yet another package rename mega patch

https://gerrit.wikimedia.org/r/585963

bd808 triaged this task as Medium priority.Apr 21 2020, 4:21 PM

Change 585963 merged by jenkins-bot:
[operations/software/tools-webservice@master] Yet another package rename mega patch

https://gerrit.wikimedia.org/r/585963

Legoktm closed this task as Resolved.Jun 2 2020, 7:24 PM
Legoktm claimed this task.

Thanks @bd808!

Legoktm reassigned this task from Legoktm to bd808.Jun 2 2020, 7:25 PM